#include <stdio.h>
#include <dac.h>
#include <daclib.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <errno.h>

void help(void)
{
	fprintf(stderr,"outp <channel number> <data>\n");
	exit(0);
}

void main(int argc,char *argv[])
{
	int data,chan;
	int it;
	
	if(argc!=3)help();

	if(!sscanf(argv[1],"%d",&chan))help();
	if(!sscanf(argv[2],"%d",&data))help();

	it=open("/dev/dac0",O_RDWR);
	if(!it){
		fprintf(stderr,"cannot open /dev/dac0\n");
		exit(0);
	}

	dac_put(it,chan,data);
}



