#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <dac.h>

#define inline 

#include <daclib.h>

int dac_put(int fd,int chan,int data)
{
	dac_s it;

	it.chan=chan;
	it.data=data;
	return ioctl(fd,DAC_PUT,&it);
}

int dac_get(int fd,int chan,int *data)
{
	dac_s it;
	int ret;
	
	it.chan=chan;
	ret=ioctl(fd,DAC_GET,&it);
	*data=it.data;
	
	return ret;
}

int dac_getchinfo(int fd,int chan,dac_chinfo *it)
{
	it->flags=chan;
	return ioctl(fd,DAC_CHANINFO,it);
}

int dac_getinfo(int fd,dac_device *it)
{
	return ioctl(fd,DAC_GETINFO,it);
}

/*
int dac_init(char *s)
{
	return open(s,O_RDWR);
}

void dac_reset(int fd)
{
	ioctl(fd,DAC_RESET,0);
}
*/

/*
int dac_memcpy_to(int fd,void *src,int dest,int size)
{
	dac_copy it;

	it.src=(int)src;
	it.dest=dest;
	it.nbytes=size;

	return ioctl(fd,DAC_COPY_TO,&it);
}

int dac_memset(int fd,int dest,int size,int val)
{
	dac_copy it;

	it.src=val;
	it.dest=dest;
	it.nbytes=size;

	return ioctl(fd,DAC_MEMSET,&it);
}


int dac_memcpy_from(int fd,int src,void *dest,int size)
{
	dac_copy it;

	it.src=src;
	it.dest=(int)dest;
	it.nbytes=size;

	return ioctl(fd,DAC_COPY_FROM,&it);
}
*/

/*
int dac_exec(int dac,int pc)
{
	return ioctl(dac,DAC_EXEC,pc);
}
*/

