/*
 * Driver for Data Translation DT2811
 * David A. Schleef
 */

#include <linux/errno.h>
#include <linux/kernel.h>
#include <linux/sched.h>
#include <linux/fcntl.h>
#include <linux/timer.h>
#include <linux/delay.h>
#include <linux/ioport.h>
#include <asm/io.h>
#include "dt2811.h"

static void dt2811_data(unsigned long minor)
{

}

static int dt2811_read(struct inode * inode, struct file * file,char *buf,int nbytes)
{
	return 0;
}

static int dt2811_select(struct inode * inode, struct file * file,int sel_type,
	select_table *wait)
{
	return 0;
}

static int dt2811_lseek(struct inode * inode, struct file * file,
		off_t offset, int origin)
{
	return -ESPIPE;
}

static int dt2811_open(struct inode * inode, struct file * file)
{
	return 0;
}

static void dt2811_release(struct inode * inode, struct file * file)
{

}

static struct file_operations dt2811_fops = {
	dt2811_lseek,
	dt2811_read,
	NULL, /* dt2811_write */
	NULL, /* dt2811_readdir */
	dt2811_select,
	NULL, /* dt2811_ioctl */
	NULL, /* dt2811_mmap */
	dt2811_open,
	dt2811_release
};

static void dt2811_interrupt(int irq,struct pt_regs * regs)
{

}

static int dt2811_probe(int offset)
{
	int i,irqs,irq;

	for(i=0;i<16;i++)DATA(i)=0;

	dt2811.base=offset;
	printk("dt2814: 0x%04x 0x%08lx",offset,dt2811.base);
	if(check_region(offset,8)<0)return -1;
	request_region(offset,8,"dt2811");

	outb_p(0,DT2811_ADCSR);
	udelay(100);
	i=inb_p(DT2811_ADDATLO);
	i=inb_p(DT2811_ADDATHI);

	sti();
	irqs=probe_irq_on();

	outb_p(DT2811_INTENB,DT2811_ADCSR);
	outb_p(0,DT2811_ADGCR);

	udelay(100);

	irq=probe_irq_off(irqs);

	outb_p(0,DT2811_ADCSR);

	printk("IRQ=%d\n",irq);
/*	request_irq(irq,dt2811_interrupt,SA_INTERRUPT,"dt2811");*/

	return 1;
}

int dt2811_init(void)
{
	int ret;

	ret=dt2811_probe(DT2814_BASE);
	dt2811_wait=NULL;

	return 0;
}

